### Hierarchy

- BaseStore

### Implements

- IAbstractStore

## Index

### Methods

- all
- backup
- backups
- createCollection
- ensureIndex
- find
- findOne
- insert
- remove
- removeBackup
- restore
- save
- update

## Methods

### all

- all(event: any): any | Promise<any>

- Implementation of IAbstractStore.all

  - Defined in store/BaseStore.ts:18

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### backup

- backup(event: any): any | Promise<any>

- Implementation of IAbstractStore.backup

  - Defined in store/BaseStore.ts:42

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### backups

- backups(event: any): any | Promise<any>

- Implementation of IAbstractStore.backups

  - Defined in store/BaseStore.ts:46

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### createCollection

- createCollection(event: any): boolean | Promise<boolean>

- Implementation of IAbstractStore.createCollection

  - Defined in store/BaseStore.ts:6

  #### Parameters

  - ##### event: any

  #### Returns boolean | Promise<boolean>

### ensureIndex

- ensureIndex(event: any): any | Promise<any>

- Implementation of IAbstractStore.ensureIndex

  - Defined in store/BaseStore.ts:38

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### find

- find(event: any): any | Promise<any>

- Implementation of IAbstractStore.find

  - Defined in store/BaseStore.ts:22

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### findOne

- findOne(event: any): any | Promise<any>

- Implementation of IAbstractStore.findOne

  - Defined in store/BaseStore.ts:26

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### insert

- insert(event: any): boolean | Promise<boolean>

- Implementation of IAbstractStore.insert

  - Defined in store/BaseStore.ts:10

  #### Parameters

  - ##### event: any

  #### Returns boolean | Promise<boolean>

### remove

- remove(event: any): boolean | Promise<boolean>

- Implementation of IAbstractStore.remove

  - Defined in store/BaseStore.ts:34

  #### Parameters

  - ##### event: any

  #### Returns boolean | Promise<boolean>

### removeBackup

- removeBackup(event: any): any | Promise<any>

- Implementation of IAbstractStore.removeBackup

  - Defined in store/BaseStore.ts:50

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### restore

- restore(event: any): any | Promise<any>

- Implementation of IAbstractStore.restore

  - Defined in store/BaseStore.ts:54

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### save

- save(event: any): any | Promise<any>

- Implementation of IAbstractStore.save

  - Defined in store/BaseStore.ts:14

  #### Parameters

  - ##### event: any

  #### Returns any | Promise<any>

### update

- update(event: any): boolean | Promise<boolean>

- Implementation of IAbstractStore.update

  - Defined in store/BaseStore.ts:30

  #### Parameters

  - ##### event: any

  #### Returns boolean | Promise<boolean>

Generated using TypeDoc